Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 1361)
+++ lemon/lgf_reader.h	(revision 833)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -155,14 +155,14 @@
     };
 
-    template <typename Value,
-              typename Map = std::map<std::string, Value> >
+    template <typename Value>
     struct MapLookUpConverter {
-      const Map& _map;
-
-      MapLookUpConverter(const Map& map)
+      const std::map<std::string, Value>& _map;
+
+      MapLookUpConverter(const std::map<std::string, Value>& map)
         : _map(map) {}
 
       Value operator()(const std::string& str) {
-        typename Map::const_iterator it = _map.find(str);
+        typename std::map<std::string, Value>::const_iterator it =
+          _map.find(str);
         if (it == _map.end()) {
           std::ostringstream msg;
@@ -171,37 +171,4 @@
         }
         return it->second;
-      }
-    };
-
-    template <typename Value,
-              typename Map1 = std::map<std::string, Value>,
-              typename Map2 = std::map<std::string, Value> >
-    struct DoubleMapLookUpConverter {
-      const Map1& _map1;
-      const Map2& _map2;
-
-      DoubleMapLookUpConverter(const Map1& map1, const Map2& map2)
-        : _map1(map1), _map2(map2) {}
-
-      Value operator()(const std::string& str) {
-        typename Map1::const_iterator it1 = _map1.find(str);
-        typename Map2::const_iterator it2 = _map2.find(str);
-        if (it1 == _map1.end()) {
-          if (it2 == _map2.end()) {
-            std::ostringstream msg;
-            msg << "Item not found: " << str;
-            throw FormatError(msg.str());
-          } else {
-            return it2->second;
-          }
-        } else {
-          if (it2 == _map2.end()) {
-            return it1->second;
-          } else {
-            std::ostringstream msg;
-            msg << "Item is ambigous: " << str;
-            throw FormatError(msg.str());
-          }
-        }
       }
     };
@@ -596,5 +563,5 @@
     friend DigraphReader<TDGR> digraphReader(TDGR& digraph, std::istream& is);
     template <typename TDGR>
-    friend DigraphReader<TDGR> digraphReader(TDGR& digraph,
+    friend DigraphReader<TDGR> digraphReader(TDGR& digraph, 
                                              const std::string& fn);
     template <typename TDGR>
@@ -998,11 +965,4 @@
         int index = 0;
         while (_reader_bits::readToken(line, map)) {
-          if(map == "-") {
-              if(index!=0)
-                throw FormatError("'-' is not allowed as a map name");
-              else if (line >> std::ws >> c)
-                throw FormatError("Extra character at the end of line");
-              else break;
-            }
           if (maps.find(map) != maps.end()) {
             std::ostringstream msg;
@@ -1228,13 +1188,12 @@
 
   };
-
+  
   /// \ingroup lemon_io
   ///
-  /// \brief Return a \ref lemon::DigraphReader "DigraphReader" class
-  ///
-  /// This function just returns a \ref lemon::DigraphReader
-  /// "DigraphReader" class.
-  ///
-  /// With this function a digraph can be read from an
+  /// \brief Return a \ref DigraphReader class
+  ///
+  /// This function just returns a \ref DigraphReader class.
+  ///
+  /// With this function a digraph can be read from an 
   /// \ref lgf-format "LGF" file or input stream with several maps and
   /// attributes. For example, there is network flow problem on a
@@ -1245,5 +1204,5 @@
   ///\code
   ///ListDigraph digraph;
-  ///ListDigraph::ArcMap<int> cap(digraph);
+  ///ListDigraph::ArcMap<int> cm(digraph);
   ///ListDigraph::Node src, trg;
   ///digraphReader(digraph, std::cin).
@@ -1254,8 +1213,7 @@
   ///\endcode
   ///
-  /// For a complete documentation, please see the
-  /// \ref lemon::DigraphReader "DigraphReader"
+  /// For a complete documentation, please see the \ref DigraphReader
   /// class documentation.
-  /// \warning Don't forget to put the \ref lemon::DigraphReader::run() "run()"
+  /// \warning Don't forget to put the \ref DigraphReader::run() "run()"
   /// to the end of the parameter list.
   /// \relates DigraphReader
@@ -1292,5 +1250,5 @@
   template <typename GR>
   class GraphReader;
-
+ 
   template <typename TGR>
   GraphReader<TGR> graphReader(TGR& graph, std::istream& is = std::cin);
@@ -1429,5 +1387,5 @@
     friend GraphReader<TGR> graphReader(TGR& graph, std::istream& is);
     template <typename TGR>
-    friend GraphReader<TGR> graphReader(TGR& graph, const std::string& fn);
+    friend GraphReader<TGR> graphReader(TGR& graph, const std::string& fn); 
     template <typename TGR>
     friend GraphReader<TGR> graphReader(TGR& graph, const char *fn);
@@ -1877,11 +1835,4 @@
         int index = 0;
         while (_reader_bits::readToken(line, map)) {
-          if(map == "-") {
-              if(index!=0)
-                throw FormatError("'-' is not allowed as a map name");
-              else if (line >> std::ws >> c)
-                throw FormatError("Extra character at the end of line");
-              else break;
-            }
           if (maps.find(map) != maps.end()) {
             std::ostringstream msg;
@@ -2111,9 +2062,9 @@
   /// \ingroup lemon_io
   ///
-  /// \brief Return a \ref lemon::GraphReader "GraphReader" class
-  ///
-  /// This function just returns a \ref lemon::GraphReader "GraphReader" class.
-  ///
-  /// With this function a graph can be read from an
+  /// \brief Return a \ref GraphReader class
+  ///
+  /// This function just returns a \ref GraphReader class. 
+  ///
+  /// With this function a graph can be read from an 
   /// \ref lgf-format "LGF" file or input stream with several maps and
   /// attributes. For example, there is weighted matching problem on a
@@ -2129,8 +2080,7 @@
   ///\endcode
   ///
-  /// For a complete documentation, please see the
-  /// \ref lemon::GraphReader "GraphReader"
+  /// For a complete documentation, please see the \ref GraphReader
   /// class documentation.
-  /// \warning Don't forget to put the \ref lemon::GraphReader::run() "run()"
+  /// \warning Don't forget to put the \ref GraphReader::run() "run()"
   /// to the end of the parameter list.
   /// \relates GraphReader
